
:root {
  --underline-antiratio: 70%;
  --underline-ratio: 30%;
  --aui-body-text: #333333;
}

.mermaid.output-block {
   position: relative;
   text-align: center;
   border: none;
   margin: 0.5rem 0;
   padding: 0.5rem;
   background-color: transparent;
   transition: 0.3s;
}

.mermaid.output-block:after {
  font-family: sans-serif;
  position: absolute;
  content: 'mermaid';
  background-color: #ddd;
  color: white ;
  right: 0;
  bottom: 0rem;
  padding: 0.4rem;
  font-size: 0.8rem;
  line-height: 1;
  letter-spacing: 0.05em
}

.mermaid.output-block:hover {
  background-color: #f7f7f7;
}

.hljs {
   position: relative;
   background-color: #f5f5f5;
   border: 0;
   border-radius: 0;
   margin: 0.5rem 0;
   padding: 0.5rem;
}

#main-content {
   font-family: 'Source Han Sans',-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Fira Sans,Droid Sans,Helvetica Neue, sans-serif;
}

.custom-ttag {
    font-size: small;
    display: inline-flex;
    text-align: center;
    align-items: stretch;
    justify-content: center;
   margin: 0.15rem;
}

.custom-ttag-name {
    text-align: center;
    justify-content: center;
    background-color: grey;
    color: white;
    padding: 0.05rem 0.2rem;
    margin: 0 0 0 0.1rem !important;
    border: grey solid 0.15rem;
    border-radius:  0.625rem 0 0 0.625rem !important;
    box-sizing: border-box;
}

.custom-ttag-value {
    text-align: center;
    justify-content: center;
    margin: 0 0.1rem 0 0 !important;
    border-radius: 0 0.625rem 0.625rem 0  !important;
    padding: 0.05rem 0.2rem;
    border: grey solid 0.15rem;
    background: transparent !important;
    box-sizing: border-box;
}

.custom-ntag {
   font-size: small;
    text-align: center;
    padding: 0.3rem 0.2rem;
    background-color: grey;
    border-radius:  0.625rem !important;
    border: grey solid 0.15rem;
    color: white;
    box-sizing: border-box;
    margin: 0.05rem 0.3rem 0.05rem 0.1rem;
   white-space:nowrap;
}

a[custom-data="ghostlink"][custom-has-link="1"]:hover {
   text-decoration: none !important;
   filter: saturate(120%);
   transform: scale(1.01);
}

a[custom-data="ghostlink"][custom-has-link="1"] {
   text-decoration: none !important;
   transition: 0.3s;
}

a[custom-data="ghostlink"][custom-has-link="1"] span:hover {
   text-decoration: none !important;
   filter: saturate(120%);
   transform: scale(1.01);
}

a[custom-data="ghostlink"][custom-has-link="1"] span {
   text-decoration: none !important;
   transition: 0.3s;
}

a[custom-data="ghostlink"][custom-has-link="0"]:hover {
   text-decoration: none !important;
   cursor: default;
}

a[custom-data="ghostlink"][custom-has-link="0"] {
   text-decoration: none !important;
   cursor: default;
}

.custom-under-wavy {
   text-decoration: underline; 
   text-decoration-style: wavy;
}

.zwFloatingTocRight {
    position: fixed; /* 目录位置 */
    width: calc(18.25vw); /* 目录边框动态固定宽度 */
    max-height: calc(90vh); /* 目录边框动态最大高度 */
    overflow-y: auto; /* 超过边框高度时内部滚动 */
    border-style: solid solid double double; /* 目录边框线型 */
    border-radius: 12px; /* 目录边框圆角半径 */
    border-top-width: 2px; /* 目录上边框宽度 */
    border-top-right-radius: 0px; /* 右上圆角半径 */
    padding-top: 5px; /* 目录内容距离目录上边框的距离 */
    padding-bottom: 15px; /* 目录内容距离目录下边框的距离 */
    padding-right: 25px; /* 目录内容距离目录右边框的距离 */
}
code, kbd {
    font-family: "JetBrains Mono","Menlo","DejaVu Sans Mono","Liberation Mono","Consolas","Ubuntu Mono","Courier New","andale mono","lucida console",monospace;
    padding: 2px 4px;
    color: #1f1e24;
    background-color: #ececef;
    border-radius: 4px;
    font-size: 90%;
}


